%bcond_without check

%global goipath         github.com/phayes/permbits
%global commit          39d7c581d2eed692fa2f3f2672e0a1190cd3f767

%gometa

%global common_description %{expand:
Easy file permissions for Go. Easily get and set file permission bits.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Easy file permissions for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.git39d7c58
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
